/*******************************************************************************
 * Copyright 2011 @ Kapil Viren Ahuja
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package com.kapil.framework.exception;


/**
 *
 * <p>
 * Base for all system exception classes in the application.  It enforces all system exceptions to provide details
 * on the underlying exception that led to the current system exception to be raised.
 * </p>
 *
 */
public abstract class SystemException extends BaseException
{
    private static final long serialVersionUID = 7319629219833188496L;

    /**
     * @see BaseException#BaseException(String, Throwable)
     */
    protected SystemException(final String errorCode, final Throwable linkedException)
    {
        super(errorCode, linkedException);
    }

    /**
     * @see BaseException#BaseException(String, String[], Throwable)
     */
    protected SystemException(final String errorCode, final String[] errorMessageTokens, final Throwable linkedException)
    {
        super(errorCode, errorMessageTokens, linkedException);
    }

    /**
     * @see BaseException#BaseException(String, String[])
     */
    protected SystemException(final String errorCode, final String[] tokens)
    {
        super(errorCode, tokens);
    }


    /**
     * @see BaseException#BaseException(String)
     */
    protected SystemException(final String errorCode)
    {
        super(errorCode);
    }
}
